#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <gdbm.h>
#include <fcntl.h>   /*  O_RDONLY */

int main(int argc, char *argv[])
{
     FILE *f1;
     int  size,i;
     char line[256],word[200];
     GDBM_FILE   *mydb;
     datum  key, val;

     f1 = fopen(argv[1],"r");
     mydb = gdbm_open("MYDB",0,GDBM_READER, 0640, 0);
     while(fgets(line,256,f1) != NULL) {
	  sscanf(line,"%s",word); 
	  key.dptr = word;
	  key.dsize = strlen(word);
	  printf("%s  --> ",word);
	  val = gdbm_fetch(mydb,key);
	  size = val.dsize;
	  for(i=0; i < size; i++) putchar((val.dptr)[i]);
	  putchar('\n');
     }
     fclose(f1);
     gdbm_close(mydb);
}
