#include <stdio.h>
#include <string.h>
#include <gdbm.h>
#include <fcntl.h>

int main(int argc, char *argv[])
{
     FILE  *f1;
     int   r;
     char  line[256],*p;
     GDBM_FILE   *mydb;
     datum  key,content;

     f1 = fopen(argv[1],"r");
     mydb = gdbm_open("MYDB",0,GDBM_NEWDB, 0640, 0); 
     while(fgets(line,256,f1) != NULL) {
	  key.dptr = strtok(line," ");
	  key.dsize = strlen(key.dptr);
	  p = strtok(NULL,"\n");
	  content.dptr = p;
	  content.dsize = strlen(p);
	  gdbm_store(mydb,key,content,GDBM_INSERT);
     }
     fclose(f1);
     gdbm_close(mydb);
}

